package kz.arta.demo.asterisk;


import org.asteriskjava.manager.ManagerConnection;
import org.asteriskjava.manager.ManagerConnectionFactory;
import org.asteriskjava.manager.action.StatusAction;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class AsteriskEventListener {
    private static final Logger LOGGER = LoggerFactory.getLogger(AsteriskEventListener.class);
    private static List<ManagerConnection> astConnections = new ArrayList();

    public AsteriskEventListener() {
        String ip = "172.30.75.155";
        ManagerConnectionFactory mcf = new ManagerConnectionFactory(ip, 5038, "mikhail", "milyutin");
        try {
            ManagerConnection mc = mcf.createManagerConnection();
            mc.addEventListener(new ManagerListener());
            mc.login();
            mc.sendAction(new StatusAction());
            astConnections.add(mc);
        } catch (Exception exc) {
            LOGGER.error("**************************************");
            LOGGER.error("ADD MANAGER IP ADDRESS! FOR IP = " + ip);
            LOGGER.error("**************************************");
            LOGGER.error(exc.getMessage(), exc);
        }

    }

    public static void closeConnections() {
        Iterator i$ = astConnections.iterator();

        while(i$.hasNext()) {
            ManagerConnection con = (ManagerConnection)i$.next();
            if (con != null) {
                con.logoff();
            }
        }

        astConnections.clear();
    }
}
