package kz.arta.demo.asterisk;


import kz.arta.demo.socket.Socket;
import org.asteriskjava.live.ChannelState;
import org.asteriskjava.live.HangupCause;
import org.asteriskjava.manager.ManagerEventListener;
import org.asteriskjava.manager.event.HangupEvent;
import org.asteriskjava.manager.event.ManagerEvent;
import org.asteriskjava.manager.event.NewStateEvent;

 /**
  * Непосредственно сам слушатель который принимает события о звонках
  */
public class ManagerListener implements ManagerEventListener {

    @Override
    public void onManagerEvent(ManagerEvent event) {
        String event_name = event.getClass().getSimpleName();

        if (event_name.equals("NewStateEvent")) {
            NewStateEvent e = (NewStateEvent) event;
            //Входящий звонок
            if (ChannelState.RINGING.getStatus() == e.getChannelState()) {
                String from = e.getConnectedlinenum();
                String to = e.getCallerIdNum();
                Socket.fireCallEvent(from, to);
            }
        }

        if (event_name.equals("HangupEvent")) {
            HangupEvent e = (HangupEvent) event;
            //Положили трубку
            if (HangupCause.AST_CAUSE_NORMAL_CLEARING.getCode() == e.getCause()) {
                Socket.hangUpEvent(e.getConnectedlinenum());
            }
        }
    }
}