package kz.arta.demo.objects;

import org.codehaus.jackson.annotate.JsonIgnoreProperties;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by val
 * Date: 04.04.2013
 * Time: 12:26
 * <p/>
 * Данные документов по форме для реестра
 */

@JsonIgnoreProperties(ignoreUnknown = true)
public class RegistryData implements Serializable {

    /**
     * Статус записи реестра - незапущенный
     */
    public static final int STATE_NO_ROUTE=0;

    /**
     * Статус записи реестра - незавершенный
     */
    public static final int STATE_NOT_FINISHED=1;

    /**
     * Статус записи реестра - успешно завершенный
     */
    public static final int STATE_SUCCESSFUL=2;

    /**
     * Статус записи реестра - не успешно завершенный
     */
    public static final int STATE_UNSUCCESSFUL=3;

    /**
     * Ид реестра
     */
    private String registryID;

    /**
     * Ид данных по форме
     */
    private String dataUUID;

    /**
     * идентификатор документа
     */
    private String documentID;

    /**
     * Ключ - поле реестра,
     * Значение - данные, записанные в поле реестра
     */
    private Map<String, String> fieldValue = new HashMap<String, String>();

    /**
     * Активирована ли запись реестра
     */
    private boolean active;

    public RegistryData() {
    }

    public String getDocumentID() {
        return documentID;
    }

    public void setDocumentID(String documentID) {
        this.documentID = documentID;
    }

    public RegistryData(String registryID) {
        this.registryID = registryID;
    }

    public String getRegistryID() {
        return registryID;
    }

    public void setRegistryID(String registryID) {
        this.registryID = registryID;
    }

    public String getDataUUID() {
        return dataUUID;
    }

    public void setDataUUID(String dataUUID) {
        this.dataUUID = dataUUID;
    }


    public void setActive(boolean active) {
        this.active = active;
    }

    public Map<String, String> getFieldValue() {
        return fieldValue;
    }

    public void setFieldValue(String field, String value) {
        fieldValue.put(field, value);
    }
}
